import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
  },
  header: {
    alignItems: "center",
    marginTop: windowHeight(22),
  },
  backBtn: {
    height: windowHeight(32),
    width: windowWidth(48),
    position: "absolute",
    borderRadius: windowHeight(6),
    alignItems: "center",
    justifyContent: "center",
    backgroundColor: appColors.whiteColor,
    marginTop: windowHeight(16),
    marginHorizontal: windowWidth(19),
    borderColor: appColors.border,
    borderWidth: windowHeight(1),
  },
  headerTitle: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT28,
    color: appColors.primaryText,
  },
  bannerTitle: {
    fontFamily: appFonts.medium,
    color: appColors.primaryText,
    textAlign: "center",
    fontSize: fontSizes.FONT22,
  },
  dropdownRow: {
    alignItems: "center",
    justifyContent: "center",
    marginTop: windowHeight(10),
    marginHorizontal: windowWidth(15),
  },
  dropdownWrapper: {
    marginHorizontal: windowHeight(5),
  },
  dropdownContainer: {
    height: windowHeight(40),
    width: windowWidth(170),
    marginBottom: windowHeight(15),
    backgroundColor: appColors.lightGray,
    borderRadius: windowWidth(35),
  },
  dropdownContainer2: {
    height: windowHeight(40),
    width: windowWidth(120),
    marginBottom: windowHeight(15),
  },
  dropdown: {
    borderColor: appColors.lightGray,
    height: windowHeight(40),
    borderRadius: windowWidth(35),
    paddingHorizontal: windowWidth(15),
    backgroundColor: appColors.lightGray,
  },
  dropDownText: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
  },
  lineContainer: {
    justifyContent: "space-around",
    marginHorizontal: windowWidth(20),
  },
  subContainer: {
    borderWidth: windowHeight(1),
    borderRadius: windowHeight(5),
    justifyContent: "center",
    alignItems: "center",
    width: windowWidth(300),
  },
  title: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    textAlign: "left",
    marginTop: windowHeight(20),
    marginHorizontal: windowHeight(4),
  },
  selectDate: {
    color: appColors.blackColor,
    fontFamily: appFonts.semiBold,
    marginTop: windowHeight(8),
    marginBottom: windowHeight(8),
    marginHorizontal: windowWidth(6),
    fontSize: fontSizes.FONT21,
  },
  calander: {
    flex: 1,
    width: "90%",
  },
  dateView: {
    width: windowHeight(33),
    height: windowHeight(33),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(35),
    paddingHorizontal: windowHeight(2),
  },
  dateText: {
    textAlign: "center",
    fontWeight: "bold",
    fontFamily: appFonts.medium,
  },
  timeContainer: {
    marginTop: windowHeight(1),
    backgroundColor: appColors.whiteColor,
    alignSelf: "center",
    marginBottom: windowHeight(4),
  },
  arrowView1: {
    width: windowWidth(130),
    justifyContent: "space-between",
    paddingHorizontal: windowHeight(8),
    alignItems: "center",
  },
  arrowView2: {
    width: windowWidth(72),
    justifyContent: "space-between",
    paddingHorizontal: windowHeight(8),
    alignItems: "center",
    borderWidth: windowHeight(1.5),
    borderColor: appColors.loaderPrimary,
    borderRadius: windowWidth(35),
    height: windowHeight(80),
    marginLeft: windowWidth(15),
    paddingVertical: windowHeight(5),
    marginHorizontal: windowWidth(25),
  },
  arrowView3: {
    width: windowWidth(130),
    justifyContent: "space-between",
    paddingHorizontal: windowHeight(8),
    alignItems: "center",
    marginRight: windowWidth(10),
  },
  line: {
    height: windowHeight(4),
    width: "100%",
    backgroundColor: appColors.loaderPrimary,
    marginTop: windowHeight(13),
    marginBottom: windowHeight(5),
  },
  time: {
    color: appColors.blackColor,
    fontFamily: appFonts.medium,
  },
  day: {
    color: appColors.blackColor,
    fontFamily: appFonts.medium,
  },
  buttonView: {
    marginVertical: windowHeight(15),
  },
  closeBtn: {
    position: "absolute",
    right: windowWidth(0),
  },
  line2: {
    height: windowHeight(20),
    resizeMode: "contain",
  },
  dateView1: {
    alignItems: "center",
    justifyContent: "center",
  },
  calView: {
    marginTop: windowHeight(18),
    marginHorizontal: windowWidth(15),
  },
  btnView: {
    marginTop: windowHeight(10),
    marginHorizontal: windowWidth(15),
    paddingBottom: windowHeight(15),
  },
  calendar: {
    bottom: windowHeight(11),
    borderWidth: windowHeight(1.5),
    borderRadius: windowWidth(15),
    borderColor: appColors.lightGray,
    paddingBottom: windowHeight(5),
  },
  calander1: {
    bottom: windowHeight(11),
    borderWidth: windowHeight(1.5),
    borderRadius: windowWidth(15),
    borderColor: appColors.darkBorder,
    paddingBottom: windowHeight(5),
  },
  arrowView: { padding: windowWidth(10) },
  lineContainer1: { bottom: windowHeight(10) },
  con: {
    padding: windowHeight(10),
    borderWidth: windowHeight(0.5),
    margin: windowHeight(12),
    borderRadius: windowHeight(15),
    marginBottom: windowHeight(0),
    paddingHorizontal: 0,
    paddingVertical: windowHeight(13),
    shadowColor: appColors.blackColor,
    shadowOffset: { width: 0, height: 2 },
    shadowOpacity: 0.1,
    shadowRadius: 5,
    elevation: 1,
    backgroundColor: appColors.whiteColor,
    borderColor: appColors.whiteColor,
    marginTop: windowHeight(15),
  },
  back: {
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(30),
    width: windowHeight(30),
    height: windowHeight(30),
    borderWidth: windowHeight(1.5),
    borderColor: appColors.lightGray,
    backgroundColor: appColors.whiteColor,
    marginHorizontal: windowWidth(2),
    marginBottom: windowHeight(15),
  },
});
export default styles;
